package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.TaPreselectionRecord;
import com.huiju.estateagents.po.TaPreselectionRecordPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * <p>
 * 预选记录表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2020-02-10
 */
@Mapper
@Component
public interface TaPreselectionRecordMapper extends BaseMapper<TaPreselectionRecord> {

    /**
     * 分页获取当前用户预选记录
     *
     * @param iPage
     * @param personId
     * @return
     */
    IPage<TaPreselectionRecordPO> listPreselectionRecord(IPage<TaPreselectionRecordPO> iPage, @Param("personId") String personId);

    /**
     * 根据房源ID和用户ID获取预选记录
     *
     * @param personId
     * @param houseId
     * @return
     */
    TaPreselectionRecord getRecordByPersonIdAndHouseId(@Param("personId") String personId,
                                                       @Param("houseId") String houseId);
}
